# Evolution specs file
# Note that field names are case-sensitive.  Supplied values are the defaults.

# call it a standoff if both the # of nearest friends and the # of nearest enemies are more than 3 (can improve performance)
allowStandoffs=false
# limit to the total number of animals (only applies during spawning)
animalLimit=2147483647
# path to the background image to use, in ResourceBundle format (leave blank for no background)
backgroundFile=
# starting life for initial set of animals
baseLife=300
# starting life for all plants
basePlantLife=100
# Seed to use for random number generator (use this to repeat games with exactly the same conditions)
gameSeed=1
# whether the app should run in headless mode (can also be set by adding "headless" as a commandline switch)
headless=false
# limit to the rate that plants can grow or die
growthLimit=5
# path to the file defining the hazards to be loaded; only loaded if no value is supplied for initialHazardsLoad
# hazardsFile=hazards_unittest.ini
# initial height of the window frame, not including the titlebar (window is resizable)
height=480
# initial type and number of hazards to load (hazards will use the default values)
# having a value implies that hazardsFile will be ignored
# eg: initialHazardsLoad=Fire:10
initialHazardsLoad=Mud:1
# initial number of plants to spawn
initialPlants=50
# initial type and number of animals to load
initialSpeciesLoad=unittester:1
# distance at which animals can kill each other
killRange=5
killRulesLifeBased=true
killRulesLifeThreshold=500
# cost of living through one cycle
livingCost=0
# cost of moving one pixel
movingCost=0
# number of plants spawned per cycle (3 plants / 40 animals seems to be a good ratio)
plantSpawnRate=1
# number of cycles between report statistics
reportCycles=10
# image compression ratio for screenshots
screenshotCompressionRatio=0.25
# directory for screenshots
# screenshotDirectory=C:/Rick/SHARE/Evolution/screenshots/test
# interval between automatic screenshots (values above zero will result in screenshots taken automatically)
screenshotInterval=0
# type of image for screenshots
screenshotType=jpg
# limit on the sight of range of animals, in pixels (not applied at initial spawn)
sightLimit=100
# time to sleep between cycles, in milliseconds (0 provides fastest execution, but will spike your CPU)
sleepTime=0
# limit on the number of children that can be spawned per cycle (not applied at initial spawn)
spawnChildrenLimit=20
# path to species definitions, using ResourceBundle naming (ie: "species\hunters\canines\" would be "species.hunters.canines.")
speciesPath=species.guest_species.
# limit on the speed of animals, in pixels (not applied at initial spawn)
speedLimit=20
# Game title
title=Evolution
# Tournament Mode, whether a final screenshot should be taken
tournamentFinalScreenshot=true
# Whether the game should run in Tournament Mode, which simply adds termination conditions (usually used with headless mode)
tournamentMode=false
# Tournament Mode, terminate when only one species remains
tournamentOneWinner=false
# Tournament Mode, terminate after this many cycles (-1 means no limit)
tournamentCycles=1000
# Tournament Mode, terminate after this amount of time, in milliseconds
tournamentTimeout=-1
# initial width of the window content frame (window is resizable)
width=480